#24 Segfault

v0.7
closed-out-of-date
Mezomish
5
2009-10-06
2009-08-05
x-demon
No

Трейс GDB, вот лог
[21:08:28] Entering showLineNumbers (SciDoc.cpp:454)
[New Thread 0xb54ffb70 (LWP 23530)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb6ae3700 (LWP 23526)]
0xc91852e3 in ?? ()
После этого - все. Archlinux, информацию о окружении могу предоставить

Discussion

  • x-demon

    x-demon - 2009-08-05

    0.7.528 версия

     
  • Mezomish

    Mezomish - 2009-08-05

    Could you please provide more information like
    1) what do you do when it happens? Is it opening a file, creating a new one or just switching between existing files?
    2) 10-15 last lines of log would be very helpful

    Thanks a lot.

     
  • x-demon

    x-demon - 2009-08-05

    Just trying to run it.

    [xdemon@lex-mainframe ~]$ gdb juffed
    GNU gdb 6.8
    Copyright (C) 2008 Free Software Foundation, Inc.
    License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
    This is free software: you are free to change and redistribute it.
    There is NO WARRANTY, to the extent permitted by law. Type "show copying"
    and "show warranty" for details.
    This GDB was configured as "i686-pc-linux-gnu"...
    (no debugging symbols found)
    (gdb) run
    Starting program: /usr/bin/juffed
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    [Thread debugging using libthread_db enabled]
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    ---Type <return> to continue, or q <return> to quit---
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    (no debugging symbols found)
    [New Thread 0xb6c5c700 (LWP 23659)]
    [21:30:06] Entering JuffApp (JuffApp.cpp:23)
    [21:30:06] Entering findExistingInstance (JuffApp.cpp:123)
    [21:30:06] Entering init (JuffApp.cpp:83)
    [21:30:06] Entering IconManager (IconManager.cpp:166)
    [21:30:06] DEBUG (GUI.cpp:118): Creating settings dialog
    [21:30:06] Entering SettingsDlg (SettingsDlg.cpp:114)
    [21:30:06] Entering MultiPage (MultiPage.cpp:65)
    [21:30:06] Entering MainSettingsPage (SettingsDlg.cpp:49)
    [21:30:06] Entering ViewSettingsPage (SettingsDlg.cpp:60)
    [21:30:06] Entering EditorSettingsPage (SettingsDlg.cpp:71)
    [21:30:06] Entering CharsetsSettingsPage (CharsetsSettingsPage.cpp:25)
    [21:30:06] Entering addPage (MultiPage.cpp:75)
    [21:30:06] Entering addPage (MultiPage.cpp:75)
    [21:30:06] Entering addPage (MultiPage.cpp:75)
    [21:30:06] Entering addPage (MultiPage.cpp:75)
    [21:30:06] Entering addPage (MultiPage.cpp:75)
    [21:30:06] Entering addPage (MultiPage.cpp:75)
    [21:30:06] Entering addPage (MultiPage.cpp:75)
    [21:30:06] Entering init (SettingsDlg.cpp:171)
    [21:30:06] DEBUG (SettingsDlg.cpp:174): Initialization: icon theme
    [21:30:06] Entering themeList (IconManager.cpp:101)
    [21:30:06] DEBUG (SettingsDlg.cpp:188): Initialization: GUI settings
    [21:30:06] DEBUG (SettingsDlg.cpp:203): Initialization: main page
    [21:30:06] DEBUG (SettingsDlg.cpp:229): Initialization: editor page
    [21:30:06] Entering init (CharsetsSettingsPage.cpp:36)
    [21:30:06] DEBUG (GUI.cpp:123): Creating about dialog
    [21:30:06] Entering AboutDlg (AboutDlg.cpp:146)
    [21:30:06] Entering Manager (Manager.cpp:163)
    [21:30:06] Entering loadPlugins (PluginManager.cpp:242)
    [21:30:06] Entering SciDocHandler (SciDocHandler.cpp:124)
    [21:30:06] Entering initRecentFilesMenu (Manager.cpp:433)
    [21:30:06] Entering getMenus (PluginManager.cpp:276)
    [21:30:06] Entering getMenus (PluginManager.cpp:276)
    [21:30:06] Entering getToolBars (PluginManager.cpp:295)
    [21:30:06] Entering getDocks (PluginManager.cpp:305)
    [21:30:06] Entering getMainMenuActions (PluginManager.cpp:286)
    [21:30:06] Entering getMainMenuActions (PluginManager.cpp:286)
    [21:30:06] Entering getMainMenuActions (PluginManager.cpp:286)
    [21:30:06] Entering getMainMenuActions (PluginManager.cpp:286)
    [21:30:06] Entering getToolBars (PluginManager.cpp:295)
    [21:30:06] Entering getDocks (PluginManager.cpp:305)
    [21:30:06] Entering getMainMenuActions (PluginManager.cpp:286)
    [21:30:06] Entering getMainMenuActions (PluginManager.cpp:286)
    [21:30:06] Entering getMainMenuActions (PluginManager.cpp:286)
    [21:30:06] Entering getMainMenuActions (PluginManager.cpp:286)
    [21:30:06] Entering getToolBars (PluginManager.cpp:295)
    [21:30:06] Entering getDocks (PluginManager.cpp:305)
    [21:30:06] Entering getMainMenuActions (PluginManager.cpp:286)
    [21:30:06] Entering getMainMenuActions (PluginManager.cpp:286)
    [21:30:06] Entering getMainMenuActions (PluginManager.cpp:286)
    [21:30:06] Entering getMainMenuActions (PluginManager.cpp:286)
    [21:30:06] Entering initCharsetMenu (Manager.cpp:413)
    [New Thread 0xb6023b70 (LWP 23662)]
    [21:30:06] Listening...
    [21:30:06] Entering restoreSession (Manager.cpp:1019)
    [21:30:06] Entering openSess (Manager.cpp:960)
    [21:30:06] Entering createDoc (Manager.cpp:603)
    [21:30:06] Entering wrapText (SciDoc.cpp:461)
    [21:30:06] Entering showLineNumbers (SciDoc.cpp:454)
    [New Thread 0xb56ffb70 (LWP 23663)]

    Program received signal SIGSEGV, Segmentation fault.
    [Switching to Thread 0xb6c5c700 (LWP 23659)]
    0x09566cb8 in ?? ()

     
  • Mezomish

    Mezomish - 2009-08-05
    • status: open --> open-accepted
     
  • Mezomish

    Mezomish - 2009-08-05

    Could you please try the latest SVN snapshot? There was a bug in restoring a session, probably that's already fixed.

     
  • Mezomish

    Mezomish - 2009-08-24

    Does the new version (0.7.606) still have the same issue?

     
  • Mezomish

    Mezomish - 2009-10-06
    • status: open-accepted --> closed-out-of-date
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks